<?php define('_JEXEC',1);

define('DS',DIRECTORY_SEPARATOR);
define('JPATH_BASE', realpath('..'.DS.'..'.DS.'..'.DS));

require_once(JPATH_BASE.DS.'includes'.DS.'defines.php');
require_once(JPATH_BASE.DS.'includes'.DS.'framework.php');

$mainframe = JFactory::getApplication('administrator');
$mainframe->initialise(array('language' => $mainframe->getUserState( "application.lang", 'lang' )));

$lang = & JFactory::getLanguage();
$lang->load('plg_editors-xtd_linkfile', JPATH_ADMINISTRATOR,'ru-RU',true);

$edName          = JRequest::getVar('ed_name','text','get','word');
$plugin          = JPluginHelper::getPlugin('editors-xtd','linkfile');
$pluginParams    = new JParameter( $plugin->params );
$folderName      = $pluginParams->get('src_folder');
$path            = JPATH_BASE.DS.$folderName;
$files           = array();

if(!file_exists($path))exit('<p>'.JText::_('FOLDER_NOT_EXIST').' : <bold style="color:red">'.$path.'</bold></p>');

function getFiles($folderName,$pseudo)
{
  static $output = array();
  
  if(!is_dir($folderName))return;
  $files = scandir($folderName);
  if(!is_array($files))return; 
  
  foreach($files as $file)
  {
    if($file == '.' || $file == '..')continue;
    if(is_dir($folderName.DS.$file))
    {      
      getFiles($folderName.DS.$file,$pseudo.DS.$file);
    }
    else $output[$folderName][] =  $pseudo.DS.$file;
  }
  return $output;
}

$GettedFiles = getFiles($path,$folderName);
ksort($GettedFiles);

//------------------- Постройка элемента select:

$selectInput = '<select id="selected_file">';

foreach($GettedFiles as $key => $files)
{
  $selectInput .= '<optgroup label="'.$key.DS.'">';
  
  foreach($files as $file)
  {
    $selectInput .= '<option value="'.$file .'" >'.DS.$file.'</option>';
  }
  $selectInput .= '</optgroup>';
}

$selectInput .= '</select>'?>

<!DOCTYPE html> 
<html>
  <head>
  	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
  	<link rel="stylesheet" href="http://<?php echo $_SERVER['HTTP_HOST'] ?>/administrator/templates/<?php echo $mainframe->getTemplate()?>/css/general.css" type="text/css" media="all" />
    <script type="text/javascript">    
    function getSelectedFile()
    {
    	var fileList		= document.getElementById('selected_file');
    	var selectedFile	= fileList.options[fileList.selectedIndex].value;
		var targetList		= document.getElementById('target');
		var target			= targetList.options[targetList.selectedIndex].value;

		if(target ==  "0")target='';
		else target = ' target="' + target + '" ';
    	
    	var output = {	file: selectedFile,
						title: document.getElementById('title').value,
    	    			target: target	};
    	window.opener.document.getElementById('<?php echo $edName ?>').focus();
    	window.opener.LF_catch_data(output, "<?php echo $edName ?>" );
    	window.self.close();
    	return;
    }    
    </script>
    <title><?php echo JText::_('CHOOSE_FILE')?></title>
  </head>
  <body>
  
  	<form>
  	
      <table class="admintable">
      
      	<tr>
      		<td class="key" ><?php echo JText::_('PARAMETER_TARGET:')?></td>
      		<td>
      			<select id="target">
      				<option value="0" >-- <?php echo JText::_('NO_PARAMETER')?> --</option>
                	<option value="_blank">_self</option>
                	<option value="_blank">_parent</option>
                	<option value="_blank">_blank</option>
                	<option value="_blank">_top</option>
                </select>
      		</td>
      	</tr>
      	
      	<tr>
      		<td class="key"><?php echo JText::_('PARAMETER_TITLE:')?></td>
      		<td>
      			<input id="title" type="text" name="title" value="link_title" onclick="this.value=''"/>	
      		</td>
      	</tr>
      	
      	<tr>
      		<td class="key"><?php echo JText::_('CHOOSE_FILE')?></td>
      		<td><?php echo $selectInput; ?></td>
      	</tr>
      	
      	<tr>
      		<td colspan="2"><input type="button" onclick="getSelectedFile()" value="<?php echo JText::_('FINISHED')?>"/></td>
      	</tr>
      	
      </table>
      
    </form>
    
  </body>
</html>